#
# spec file for package perl-Test-Strict
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Strict
Version:        0.40
Release:        lp151.2.1
%define cpan_name Test-Strict
Summary:        Check syntax, presence of use strict; and test coverage
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Strict/
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MANWAR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::Cover) >= 0.43
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(Test::More) >= 1.00
Requires:       perl(Devel::Cover) >= 0.43
%{perl_requires}

%description
The most basic test one can write is "does it compile ?". This module tests
if the code compiles and play nice with Test::Simple modules.

Another good practice this module can test is to "use strict;" in all perl
files.

By setting a minimum test coverage through 'all_cover_ok()', a code author
can ensure his code is tested above a preset level of _kwality_ throughout
the development cycle.

Along with Test::Pod, this module can provide the first tests to setup for
a module author.

This module should be able to run under the -T flag for perl >= 5.6. All
paths are untainted with the following pattern: 'qr|^([-+@\w./:\\]+)$|'
controlled by '$Test::Strict::UNTAINT_PATTERN'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Thu Nov 30 2017 coolo@suse.com
- updated to 0.40
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.40  2017-11-29 13:00:00 MANWAR
  - Merged pull request #22, thanks @cpansprout.
* Sat Dec  3 2016 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.39  2016-12-02 12:10:00 MANWAR
  - Merged pull request #21, thanks @arc.
* Fri Dec  2 2016 coolo@suse.com
- updated to 0.38
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.38  2016-12-01 12:50:00 MANWAR
  - Merged pull request #20, thanks @tomhukins.
* Sun Jun 12 2016 coolo@suse.com
- updated to 0.37
  see /usr/share/doc/packages/perl-Test-Strict/Changes
* Tue Jan 19 2016 coolo@suse.com
- updated to 0.36
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.36  2016-01-17 02:10:00 MANWAR
  - Fixed issue RT# 55112 (svn directories incorrectly filtered out).
  0.35  2016-01-16 08:45:00 MANWAR
  - Fixed Github issue #16.
* Sun Nov 15 2015 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.34  2015-11-15 08:50:00 MANWAR
  - Added key 'provides' to the Makefile.PL script.
* Sat Nov 14 2015 coolo@suse.com
- updated to 0.33
  see /usr/share/doc/packages/perl-Test-Strict/Changes
* Mon Nov  9 2015 coolo@suse.com
- updated to 0.32
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.32 2015-11-03 10:10:00 MANWAR
  - Added LICENSE file.
  - Added standard unit test script (t/00-load.t).
* Thu Oct 29 2015 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.31 2015-10-27 10:35:00 MANWAR
  - Upgraded the min perl version to 5.006 as proposed by Perl::MinimumVersion.
  - Added MIN_PERL_VERSION to the Makefile.PL script.
  - Updated unit test script t/02fail.t to comply with perl 5.006.
* Sat Oct 24 2015 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.30 2015-10-24
  - Tidied up Makefile.PL script.
  - Removed the executable attributes from some of the unit test script.
  0.29 2015-10-19
  - Updated link to github repository in the Makefile.PL script
  - Updated bugtracker link in the Makefile.PL script.
  - Updated x_contributors list in the Makefile.PL script
  - Updated link to github repository in the pod document of Test::Strict package.
  - Updated MAINTAINER section in the pod document of Test::Strict package.
* Sun Oct  4 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Test-Strict/Changes
  0.28 2015-10-02
  - Make syntax_ok check modules without '::' in their names (Petr Šabata)
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-Test-Strict/Changes
* Sun May  1 2011 coolo@opensuse.org
- initial package 0.14
  * created by cpanspec 1.78.04
